// ==========================
// KONFIRMASI LOGOUT
// ==========================

function konfirmasiLogout(){

    return confirm(
        "Yakin ingin logout?"
    );
}




// ==========================
// SEARCH TABLE
// ==========================

document.addEventListener(
"DOMContentLoaded",
function(){

let input =
document.getElementById(
'searchInput'
);

if(input){

input.addEventListener(
'keyup',
function(){

let filter =
input.value.toLowerCase();

let rows =
document.querySelectorAll(
'table tr'
);

rows.forEach((row,index)=>{

if(index === 0) return;

let text =
row.innerText.toLowerCase();

row.style.display =
text.includes(filter)
? ''
: 'none';

});

});

}

});

// ==========================
// DARK MODE
// ==========================

function darkMode(){

    document.body.classList.toggle(
        'dark-mode'
    );
}

// ==========================
// LOADER
// ==========================

window.addEventListener(
'load',
function(){

document.getElementById(
'loader'
).style.display='none';

});




// ==========================
// AUTO REFRESH
// ==========================

setInterval(function(){

console.log(
'Auto refresh aktif'
);

},30000);